## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global ver 0.4.0
%global version_strip_caret %(VER='%{version}'; echo "${VER/^*/}")
%global version_snap %(VER='%{version}'; echo "${VER/*^/}")

Name:		chirp
Version:	%{ver}^20250704
Release:	%autorelease
Summary:	A tool for programming two-way radio equipment

License:	GPL-3.0-or-later
URL:		http://chirp.danplanet.com/
Source0:	https://archive.chirpmyradio.com/chirp_next/next-%{version_snap}/%{name}-%{version_snap}.tar.gz
Source1:	com.danplanet.CHIRP.metainfo.xml

BuildArch:	noarch

BuildRequires:	coreutils
BuildRequires:	sed
BuildRequires:	gettext
BuildRequires:	make
BuildRequires:	python3-devel

# for tests
BuildRequires:	python3dist(pytest)
BuildRequires:	python3-pyyaml
BuildRequires:	python3-ddt

BuildRequires:	desktop-file-utils
BuildRequires:	hicolor-icon-theme
Requires:	hicolor-icon-theme


%description
Chirp is a tool for programming two-way radio equipment It provides a generic
user interface to the programming data and process that can drive many radio
models under the hood.


%prep
%autosetup -p1 -n %{name}-%{version_snap}

# Fix version
sed -i 's/\(\bversion\s*=\s*\)0\b/\1"%{version_strip_caret}"/' setup.py

# Rename package to avoid pypi conflict
sed -i 's/\(\bname\s*=\s*'"'"'\)chirp'"'"'/\1chirp-project'"'"'/' setup.py
mv chirp.egg-info chirp_project.egg-info

%generate_buildrequires
%pyproject_buildrequires -x wx


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files chirp

# Locale
mkdir -p %{buildroot}%{_datadir}/locale
ln -frs %{buildroot}%{_datadir}/locale \
  %{buildroot}%{python3_sitelib}/chirp/locale
%find_lang CHIRP

# Install files to correct location
desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{buildroot}%{python3_sitelib}/chirp/share/chirp.desktop
install -Dpm 0644 %{buildroot}%{python3_sitelib}/chirp/share/chirp.svg \
  %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/chirp.svg
install -Dpm 0644 %{SOURCE1} \
  %{buildroot}%{_metainfodir}/com.danplanet.CHIRP.metainfo.xml
install -Dpm 0644 %{buildroot}%{python3_sitelib}/chirp/share/chirpw.1 \
  %{buildroot}%{_mandir}/man1/chirp.1
# Symlink to resources
ln -frs %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/chirp.svg \
  %{buildroot}%{python3_sitelib}/chirp/share/chirp.svg
ln -frs %{buildroot}%{_datadir}/applications/chirp.desktop \
  %{buildroot}%{python3_sitelib}/chirp/share/chirp.desktop
ln -frs %{buildroot}%{_mandir}/man1/chirp.1.gz \
  %{buildroot}%{python3_sitelib}/chirp/share/chirpw.1


%check
# Disabled, too time and memory expensive
#%%pytest


%files -f %{pyproject_files} -f CHIRP.lang
%license COPYING
%doc README.md
%{_bindir}/chirpc
%{_bindir}/experttune
%{python3_sitelib}/chirp/locale

%pyproject_extras_subpkg -n chirp wx
%{_bindir}/chirp
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/chirp.svg
%{_metainfodir}/com.danplanet.CHIRP.metainfo.xml
%{_mandir}/man1/chirp.1.gz


%changelog
## START: Generated by rpmautospec
* Mon Jul 07 2025 Packit <hello@packit.dev> - 0.4.0^20250704-1
- Update to 20250704 upstream release
- Resolves: rhbz#2324534

* Sun Jul 06 2025 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0^20250620-4
- Disabled tests - too time and memory expensive

* Thu Jul 03 2025 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0^20250620-3
- Moved to prepare-files action which is less hacky approach

* Thu Jul 03 2025 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0^20250620-2
- Enabled tests

* Wed Jul 02 2025 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0^20250620-1
- Fixed FTBFS

* Mon Jun 30 2025 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0-3
- Simplified packit action

* Mon Jun 30 2025 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0-2
- Updated versions handling

* Sun Jun 29 2025 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0-1
- Switched to autochangelog and simplified the packit action script

* Sun Jun 29 2025 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0^20240429gitcab8248e-17
- Updated sed RE in packit action

* Sun Jun 29 2025 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0^20240429gitcab8248e-16
- Used bash wrapper for packit actions to expand envvars

* Sat Jun 28 2025 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0^20240429gitcab8248e-15
- Changed yaml variables syntax

* Sat Jun 28 2025 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0^20240429gitcab8248e-14
- Updated yaml variables syntax

* Sat Jun 28 2025 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0^20240429gitcab8248e-13
- Used relative path to the spec

* Thu Jun 26 2025 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0^20240429gitcab8248e-12
- Used PACKIT_DOWNSTREAM_REPO

* Thu Jun 26 2025 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0^20240429gitcab8248e-11
- Used PACKIT_PWD instead of the PACKIT_DOWNSTREAM_REPO

* Thu Jun 26 2025 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0^20240429gitcab8248e-10
- Updated packig configuration

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0^20240429gitcab8248e-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Dec 03 2024 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0^20240429gitcab8248e-8
- Updated sources to point to snapshot

* Tue Dec 03 2024 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0^20240429gitcab8248e-7
- Updated packit actions to use correct directory

* Mon Dec 02 2024 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0^20240429gitcab8248e-6
- Updated packit configuration to use correct version in spec

* Thu Nov 07 2024 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0^20240429gitcab8248e-5
- Added packit automation

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0^20240429gitcab8248e-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.4.0^20240429gitcab8248e-3
- Rebuilt for Python 3.13

* Thu May 02 2024 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0^20240429gitcab8248e-2
- Dropped python3-future requirement from the tox

* Mon Apr 29 2024 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0^20240429gitcab8248e-1
- New snapshot

* Tue Jan 23 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0^20231101git35c8a1c0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0^20231101git35c8a1c0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Nov 20 2023 AsciiWolf <mail@asciiwolf.com> - 0.4.0^20231101git35c8a1c0-2
- Added AppStream metadata

* Wed Nov 15 2023 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4.0^20231101git35c8a1c0-1
- Updated according to the review

* Wed Nov 15 2023 Tomas Hrcka <thrcka@redhat.com> - 20190812-3
- Unretirement request: https://pagure.io/releng/issue/11770

* Fri Dec 06 2019 Tomas Hrcka <thrcka@redhat.com> - 20190812-2
- Revert "Retired, fails to install due to missing Python 2 dependencies"

* Mon Aug 12 2019 Richard Shaw <hobbes1069@gmail.com> - 20190812-1
- Update to 20190812.

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20190718-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jul 22 2019 Richard Shaw <hobbes1069@gmail.com> - 20190718-1
- Update to 20190718.

* Sat Jul 13 2019 Richard Shaw <hobbes1069@gmail.com> - 20190713-1
- Update to 20190713.

* Fri Jul 05 2019 Richard Shaw <hobbes1069@gmail.com> - 20190703-1
- Update to 20190703.

* Thu May 30 2019 Richard Shaw <hobbes1069@gmail.com> - 20190524-1
- Update to 20190524.

* Wed Apr 10 2019 Richard Shaw <hobbes1069@gmail.com> - 20190410-1
- Update to 20190410.

* Tue Mar 19 2019 Richard Shaw <hobbes1069@gmail.com> - 20190319-1
- Update to 20190319.

* Mon Mar 04 2019 Richard Shaw <hobbes1069@gmail.com> - 20190304-1
- Update to 20190304.

* Sun Mar 03 2019 Richard Shaw <hobbes1069@gmail.com> - 20190303-1
- Update to 20190303.

* Thu Feb 28 2019 Richard Shaw <hobbes1069@gmail.com> - 20190227-1
- Update to 20190227.

* Sun Feb 24 2019 Richard Shaw <hobbes1069@gmail.com> - 20190222-1
- Update to 20190222.

* Wed Feb 20 2019 Richard Shaw <hobbes1069@gmail.com> - 20190220-1
- Update to 20190220.

* Tue Feb 19 2019 Richard Shaw <hobbes1069@gmail.com> - 20190219-1
- Update to 20190219.

* Mon Feb 18 2019 Richard Shaw <hobbes1069@gmail.com> - 20190218-1
- Update to 20190218.

* Sun Feb 17 2019 Richard Shaw <hobbes1069@gmail.com> - 20190217-1
- Update to 20190217.

* Fri Feb 15 2019 Richard Shaw <hobbes1069@gmail.com> - 20190215-1
- Update to 20190215.

* Sat Feb 09 2019 Richard Shaw <hobbes1069@gmail.com> - 20190209-1
- Update to 20190209.

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20190120-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 20190120-3
- Remove obsolete Group tag

* Thu Jan 24 2019 Richard Shaw <hobbes1069@gmail.com> - 20190120-2
- Update python requirements to proper names and add conditionals for epel
  7.

* Wed Jan 23 2019 Richard Shaw <hobbes1069@gmail.com> - 20190120-1
- Update to 20190120.

* Sat Jan 19 2019 Richard Shaw <hobbes1069@gmail.com> - 20190112-1
- Update to 20190112.

* Fri Jan 04 2019 Richard Shaw <hobbes1069@gmail.com> - 20190104-1
- Update to 20190104.

* Wed Jan 02 2019 Richard Shaw <hobbes1069@gmail.com> - 20190102-1
- Update to 20190102.

* Wed Dec 19 2018 Richard Shaw <hobbes1069@gmail.com> - 20181214-3
- Fix changelog.

* Wed Dec 19 2018 Richard Shaw <hobbes1069@gmail.com> - 20181214-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
